package require base64

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
           puts stderr "Package $PACKAGE ($VERSION) is not available for Windows"
   }
   SunOS {
       load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION SunOS lib[set PACKAGE][set VERSION].so]
   }
   Linux {
       switch $tcl_platform(machine) {
          i686 -
          intel {
             load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Linux $tcl_platform(machine) lib[set PACKAGE][set VERSION].so]
          }
          ppc {
             load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Linux $tcl_platform(machine) lib[set PACKAGE][set VERSION].so]
          }
          default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

namespace eval Spectrum {
  namespace export Debug
  namespace export Logging
  namespace export New1D
  namespace export New2D
  namespace export Delete
  namespace export Zero
  namespace export Details
  namespace export Names
  namespace export Read1DR
  namespace export Read1D
  namespace export Read2D
  namespace export Write1D
  namespace export Write2D
  namespace export Title
  namespace export Label
  namespace export Info
  namespace export Calib
  namespace export Compressions
  namespace export Error
}

